<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.citygis.web.mapper.TabSystemSpaceMapper">

    <select id="getSpace" resultType="com.citygis.web.domain.TabSystemSpace" parameterType="com.citygis.web.domain.TabSystemSpace">
        select "FILEPATH","IP","DESCRIPTION","FILE_SPACE","USABLE_SPACE","FILE_TOTAL_SPACE",MAX(CREATE_TIME)
        from "LIU_TONG_YI"."TAB_SYSTEM_SPACE"
        <where>
            <if test="filepath != null">
                FILEPATH like concat('%',#{filepath},'%')
            </if>
        </where>
        GROUP BY "FILEPATH","IP","DESCRIPTION","FILE_SPACE","USABLE_SPACE","FILE_TOTAL_SPACE"
    </select>

</mapper>
